import click


@click.group()
@click.option("--debug/--no-debug", default=False)
def main(debug):
    if debug:
        logging_level = logging.DEBUG
    else:
        logging_level = logging.INFO
    logging_config = dict(
        version=1,
        formatters={"f": {"format": "%(levelname)-8s %(name)-12s %(message)s"}},
        handlers={
            "h": {
                "class": "logging.StreamHandler",
                "formatter": "f",
                "level": logging_level,
            }
        },
        root={
            "handlers": ["h"],
            "level": logging_level,
        },
    )

    dictConfig(logging_config)


@main.command()
def ingest():
    pass


@main.command()
def feature():
    pass


@main.command()
def datamart():
    pass
